Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006799OCamlotherlibspublic2015-03-02 10:342015-03-03 22:48
Reporteraha 
Assigned Todoligez 
PrioritylowSeveritytrivialReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version4.02.2+dev / +rc1Fixed in Version4.02.2+dev / +rc1 
Summary0006799: include guards missing for unixsupport.h
Description'caml/unixsupport.h' does not provide include guards to avoid double inclusion (like every other header found in caml/*).
Tagspatch
Attached Files? file icon patch-unixsupport_h [^] (1,635 bytes) 2015-03-02 10:34 [Show Content]

- Relationships

-  Notes
(0013374)
doligez (administrator)
2015-03-03 21:59

There's a few other files that have the same problem or a missing C++ guard.

(0013375)
doligez (administrator)
2015-03-03 22:48

Fixed in 4.02 (commit 15873). Thanks for the patch.

- Issue History
Date Modified Username Field Change
2015-03-02 10:34 aha New Issue
2015-03-02 10:34 aha File Added: patch-unixsupport_h
2015-03-03 21:15 doligez Tag Attached: patch
2015-03-03 21:59 doligez Note Added: 0013374
2015-03-03 21:59 doligez Assigned To => doligez
2015-03-03 21:59 doligez Status new => assigned
2015-03-03 21:59 doligez Target Version => 4.02.2+dev / +rc1
2015-03-03 22:48 doligez Note Added: 0013375
2015-03-03 22:48 doligez Status assigned => closed
2015-03-03 22:48 doligez Resolution open => fixed
2015-03-03 22:48 doligez Fixed in Version => 4.02.2+dev / +rc1
2017-02-23 16:42 doligez Category OCaml otherlibs => otherlibs


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker